Name: color-gcc
Version: 0.6.0
Release: alt2.2

Summary: GCC output colorizer
License: GPL
Group: Development/Other
BuildArch: noarch
Packager: Stanislav Ievlev <inger@altlinux.ru>

# get the source from our cvs repository 
Source: %name-%version.tar.bz2

#PreReq: gcc-common >= 1.2
PreReq: colorifer >= 0.5, alternatives >= 0.0.6

# Automatically added by buildreq on Wed Oct 15 2003
BuildRequires: libalternatives-devel

%description
Configs for colorifer to colorize GCC output

%prep
%setup -q

%install
%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/colorifer
%__cp -a *.xml $RPM_BUILD_ROOT%_sysconfdir/colorifer/
pushd $RPM_BUILD_ROOT%_sysconfdir/colorifer
for i in cc g77 f77
do
ln -s gcc.xml $i.xml
done
ln -s g++.xml c++.xml
ln -s g++.xml gcj.xml
popd

install -pD -m644 /dev/null $RPM_BUILD_ROOT%_sysconfdir/buildreqs/packages/ignore.d/%name

%__install -d $RPM_BUILD_ROOT%_altdir
cat >$RPM_BUILD_ROOT%_altdir/%name<<EOF
<group name="candidate">
    <option name="link">%_bindir/gcc</option>
    <option name="real">%_bindir/colorifer</option>
    <option name="weight" type="number">50</option>
</group>
EOF

%post
%register_alternatives %name -- gcc g++ g77 gcj
%preun
%unregister_alternatives %name

%triggerun -- color-gcc < 0.3.1
[ $2 != 0 ] || exit 0
[ -x /usr/sbin/update-alternatives ] && /usr/sbin/update-alternatives --remove g++ %_bindir/colorifer

%files
%config %_sysconfdir/colorifer/*.xml
%config %_altdir/%name
%_sysconfdir/buildreqs/packages/ignore.d/*

%changelog
* Thu Oct 16 2003 Stanislav Ievlev <inger@altlinux.ru> 0.6.0-alt2.2
- Added symlink to gcj

* Wed Oct 15 2003 Stanislav Ievlev <inger@altlinux.ru> 0.6.0-alt2.1
- new alternatives

* Wed Apr 09 2003 Stanislav Ievlev <inger@altlinux.ru> 0.6.0-alt2
- Added c++

* Tue Apr 08 2003 Stanislav Ievlev <inger@altlinux.ru> 0.6.0-alt1
- minor features, bugfixes

* Wed Feb 05 2003 Stanislav Ievlev <inger@altlinux.ru> 0.5-alt2
- daedalus release

* Thu Jan 16 2003 Stanislav Ievlev <inger@altlinux.ru> 0.5-alt1
- daedalus release

* Wed Jan 08 2003 Stanislav Ievlev <inger@altlinux.ru> 0.3.2-alt2
- sync with latest libing changes

* Mon Dec 30 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3.2-alt1
- new config format

* Thu Nov 28 2002 Dmitry V. Levin <ldv@altlinux.org> 0.3.1-alt1
- Migrated to new alternatives scheme.

* Sun Nov 10 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3-alt1
- real split stdout and stderr

* Mon Sep 02 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2-alt1
- move to xinclude in config

* Wed Aug 21 2002 Dmitry V. Levin <ldv@altlinux.org> 0.1-alt6
- Raised alternatives priority.

* Thu Aug 15 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt5
- new buildreq files layout

* Thu Aug 08 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt4
- move to relative path in configs

* Mon Jun 17 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt3
- Added ignore.d files for buildreq

* Tue Jun 11 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt2
- fixes and features

* Mon Jun 10 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt1
- Inital release for ALT
